Create one asynchronous request

POST
/api/v1/data/requests
X-API-Key<token>

In: header

Header Parameters

Idempotency-Key?string

Optional. When omitted, the server generates a unique internal key for this submission.

Length8 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/data/requests" \  -H "Content-Type: application/json" \  -d '{    "url": "http://example.com"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "url": "http://example.com",  "status": "pending",  "cached": true,  "protected": true,  "base_tokens": 0,  "protected_tokens": 0,  "captcha_tokens": 0,  "created_at": "2019-08-24T14:15:22Z",  "charged_tokens": 0,  "pricing_version": 1,  "route_mode": "direct",  "idempotent_replay": true,  "result_kind": "extraction",  "page_status": "string"}